%define upstream_name    TheSchwartz
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Superclass for defining task behavior
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::ObjectDriver)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}

%description
TheSchwartz is a reliable job queue system. Your application can put jobs
into the system, and your worker processes can pull jobs from the queue
atomically to perform. Failed jobs can be left in the queue to retry later.

_Abilities_ specify what jobs a worker process can perform. Abilities are
the names of 'TheSchwartz::Worker' subclasses, as in the synopsis: the
'MyWorker' class name is used to specify that the worker script can perform
the job. When using the 'TheSchwartz' client's 'work' functions, the
class-ability duality is used to automatically dispatch to the proper class
to do the actual work.

TheSchwartz clients will also prefer to do jobs for unused abilities before
reusing a particular ability, to avoid exhausting the supply of one kind of
job while jobs of other types stack up.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CHANGES META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/schwartzmon
%{_mandir}/man1/schwartzmon.1*



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.120.0-6.mga9
+ Revision: 1806407
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-5.mga8
+ Revision: 1497787
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-4.mga7
+ Revision: 1272292
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-3.mga6
+ Revision: 1035187
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.120.0-2.mga6
+ Revision: 968403
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.120.0-1.mga6
+ Revision: 852206
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-6.mga5
+ Revision: 748151
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.100.0-5.mga5
+ Revision: 736103
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 515638
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 374258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 1.100.0-1.mga3
+ Revision: 254404
- imported package perl-TheSchwartz


* Mon Jun 04 2012 cpan2dist 1.10-1mga
- initial mageia release, generated with cpan2dist
